const models = require('../models');
const User = models.user;
const Role = models.role;


exports.memberContent = (req, res) => {
    User.findOne({
        where: {
            id: res.locals.userId
        },
        attributes: ['id', 'name', 'username', 'email'],
        include: [{
            model: Role,
            attributes: ['id', 'name']
        }]
    }).then(user => {
        res.status(200).json({
            "description": "User Content Page",
            "user": user
        })
    }).catch(err => {
        res.status(500).json({
            "description": "Can not access User Page",
            "error": err.message
        });
    })
}

exports.adminContent = (req, res) => {
    User.findOne({
        where: {
            id: req.userId
        },
        attributes: ['name', 'username', 'email'],
        include: [{
            model: Role,
            attributes: ['id', 'name'],
        }]
    }).then(user => {
        res.status(200).json({
            "description": "Admin Content Page",
            "user": user
        })
    }).catch(err => {
        res.status(500).json({
            "description": "Can not access Admin Page",
            "error": err
        });
    })
}