const jwt = require('jsonwebtoken');
const config = require('../config/app.config.js');
const models = require('../models');
const User = models.user;

extendJwtToken = (req, res, next) => {
    var userId = res.locals.userId;
    var role = res.locals.role;

    var payload = {id: userId, role: role};

    var token = jwt.sign(payload, config.secret, {
        expiresIn: config.jwtExpireTime
    });
    res.setHeader('Set-Cookie', "userToken="+token+"; HttpOnly; Path=/");
    next();
}

const tokenController = {};

tokenController.extendJwtToken = extendJwtToken;

module.exports = tokenController;