const jwt = require('jsonwebtoken');
const config = require('../config/app.config.js');
const models = require('../models');
const User = models.user;

verifyToken = (req, res, next) => {
    let token = req.cookies.userToken;
    if (!token) {
        res.status(403).send({
            message: 'No token provided!',
            auth: false
        });
        return;
    }

    jwt.verify(token, config.secret, (err, decoded) => {
        if (err) {
            return res.status(500).send({
                message: 'Fail to auth. Error -> ' + err,
                auth: false
            });
        }
        res.locals.userId = decoded.id;
        res.locals.role = decoded.role;
        next();
    });
}

isAdmin = (req, res, next) => {
    if (config.ADMINs.includes(res.locals.role)) {
       next();
    } else {
       res.status(403).send({message: 'Require admin role!'});
   }
}

const verifyJwtToken = {};
verifyJwtToken.verifyToken = verifyToken;
verifyJwtToken.isAdmin = isAdmin;

module.exports = verifyJwtToken;